Bug 1125819 - YaST2 fonts - Internal error
YaST2 fonts - Internal error
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
aarch64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Petr Gajdos
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-18 16:41 UTC by Guillaume GARDET
Modified: 2022-05-11 14:40 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2log (974.86 KB, text/plain)
2019-02-18 16:41 UTC, Guillaume GARDET
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2019-02-18 16:41:17 UTC
Created attachment 797090 [details]
y2log

openQA test in scenario opensuse-Tumbleweed-DVD-aarch64-yast2_gui@aarch64 fails in [yast2_control_center](https://openqa.opensuse.org/tests/857564/modules/yast2_control_center/steps/68)


y2log attached. Relevant part is probably:

YCP_UI.cc(SetApplicationTitle):1722 Setting application title to '"YaST2 - fonts @ susetest"'
2019-02-18 09:25:25 <1> susetest(16018) [Interpreter] bin/y2start:62 Calling YaST client fonts
2019-02-18 09:25:25 <1> susetest(16018) [Ruby] yast/wfm.rb:308 Call client /usr/share/YaST2/clients/fonts.rb
2019-02-18 09:25:25 <2> susetest(16018) [Ruby] yast/builtins.rb:586 tostring builtin called on wrong type Class
2019-02-18 09:25:25 <3> susetest(16018) [Ruby] yast/wfm.rb:253 Client /usr/share/YaST2/clients/fonts.rb failed with 'cannot load such file -- yast/fontconfig_setting' (LoadError).
Backtrace:
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/share/YaST2/lib/fonts/fpl-add-dialog.rb:4:in `<top (required)>'
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/share/YaST2/lib/fonts/fonts-dialog.rb:10:in `<top (required)>'
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/lib64/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/share/YaST2/clients/fonts.rb:4:in `<top (required)>'
/usr/lib64/ruby/vendor_ruby/2.6.0/yast/wfm.rb:313:in `eval'
/usr/lib64/ruby/vendor_ruby/2.6.0/yast/wfm.rb:313:in `run_client'
/usr/lib64/ruby/vendor_ruby/2.6.0/yast/wfm.rb:206:in `call_builtin'
/usr/lib64/ruby/vendor_ruby/2.6.0/yast/wfm.rb:206:in `call_builtin_wrapper'
/usr/lib64/ruby/vendor_ruby/2.6.0/yast/wfm.rb:195:in `CallFunction'
/usr/lib/YaST2/bin/y2start:62:in `<main>'
2019-02-18 09:25:25 <3> susetest(16018) [Ruby] yast/wfm.rb:276 Internal error. Please report a bug report with logs
Comment 1 Stefan Hundhammer 2019-02-19 14:39:59 UTC
AFAICS this package is community-maintained:

osc maintainer yast2-fonts 
Defined in package: YaST:Head/yast2-fonts 
  bugowner of yast2-fonts : 
   Fraser_Bell

  maintainer of yast2-fonts : 
   Fraser_Bell
Comment 2 Stefan Hundhammer 2019-02-19 14:45:11 UTC
This file "yast/fontconfig_setting" appears to be built from a C source file:

https://github.com/yast/yast-fonts/blob/master/src/ext/fontconfig_setting/fontconfig-setting.c
Comment 3 Stefan Hundhammer 2019-02-19 15:17:18 UTC
Just a thought: When I build those binaries, I see this output:

[shundhammer @ morgul] ...src/yast/yast-fonts % rake compile
/usr/bin/ruby.ruby2.5 extconf.rb
creating Makefile
make
compiling ft2-rendering.c
linking shared-object ft2_rendering.so
/usr/bin/ruby.ruby2.5 extconf.rb
creating Makefile
make
compiling fontconfig-setting.c
linking shared-object fontconfig_setting.so
/usr/bin/ruby.ruby2.5 extconf.rb
creating Makefile
make
compiling font-specimen.c
linking shared-object font_specimen.so


On my system, it still uses Ruby 2.5 to build them. But your TW already has Ruby 2.6. It might be possible that the package was built against Ruby 2.5, so those binaries are now not available for Ruby 2.6 which might have caused this failure.
Comment 4 Gerry Makaro 2019-04-21 21:35:19 UTC
Dropping YaST2-Fonts packages, as I am unable to Maintain it due to other duties.
Comment 5 Stefan Schubert 2019-04-23 07:39:39 UTC
(In reply to Gerry Makaro from comment #4)
> Dropping YaST2-Fonts packages, as I am unable to Maintain it due to other
> duties.
https://github.com/yast/yast-fonts/blob/master/MAINTAINER#L1
I have seen that Petr is also maintainer. Petr what do you think ?
Comment 6 Petr Gajdos 2019-04-23 11:36:13 UTC
For me is yast-fonts and fonts as such almost closed chapter. To have more fun I had to move from them as this topic does not amuse me anymore. This of course can change in the future.

From
https://lists.opensuse.org/opensuse-factory/2019-04/msg00222.html
it seems there is no other maintainer on the horizon.

Thus, my answer is: rq#697116 rq#697118

Thanks Gerry you had kept this alive for some time more.
Comment 7 OBSbugzilla Bot 2021-02-11 17:20:58 UTC
This is an autogenerated message for OBS integration:
This bug (1125819) was mentioned in
https://build.opensuse.org/request/show/871260 15.1 / release-notes-openSUSE
Comment 8 Swamp Workflow Management 2021-02-13 14:16:03 UTC
openSUSE-RU-2021:0282-1: An update that has 15 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1085628,1091103,1092953,1093098,1093398,1094834,1095111,1100005,1116922,1125819,1126496,1129362,1129587,1161841,1182141
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    release-notes-openSUSE-15.1.20210211-lp151.2.3.1
Comment 9 OBSbugzilla Bot 2022-05-11 14:40:36 UTC
This is an autogenerated message for OBS integration:
This bug (1125819) was mentioned in
https://build.opensuse.org/request/show/976384 15.4 / release-notes-openSUSE